import { ICreateProps as ICoreCreateProps } from "@reactionable/core/lib/crud/create/Create";
import { IFormData, IFormValues } from "@reactionable/core/lib/form/Form";
import { PropsWithChildren, ReactElement } from "react";
import { IFormButtonProps } from "../../form/FormButton";
import { IModalProps } from "../../modal/Modal";
export declare type ICreateProps<Values extends IFormValues = IFormValues, Data extends IFormData = IFormValues> = ICoreCreateProps<Values, Data, IFormButtonProps, IModalProps>;
export declare function Create<Values extends IFormValues = IFormValues, Data extends IFormData = IFormData>(props: PropsWithChildren<ICreateProps<Values, Data>>): ReactElement;
